## kmailtransport 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")

project(MailTransport VERSION ${PIM_VERSION})

# ECM setup
set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)

add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport5\")

set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})

set(KMIME_LIB_VERSION "5.9.3")
set(AKONADI_LIB_VERSION "5.9.3")
set(AKONADIMIME_LIB_VERSION "5.9.3")
set(KSMTP_LIB_VERSION "5.9.3")
set(KGAPI_LIB_VERSION "5.9.3")
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransport")

########### Find packages ###########
find_package(KF5KCMUtils ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimSMTP ${KSMTP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimGAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

########### Targets ###########
add_subdirectory(src)

install( FILES kmailtransport.renamecategories kmailtransport.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== debian/changelog ===
kmailtransport (18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:07:53 +0100

kmailtransport (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update symbols files.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:59:54 +0100

kmailtransport (18.08.1-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add patch to make KPimGAPI dependency optional.
       make_libgapi_optional.patch

 -- Sandro Knauß <hefee@debian.org>  Mon, 08 Oct 2018 23:10:16 +0200

kmailtransport (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Update symbols from buildds for 18.07.90
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:18:50 +0200

kmailtransport (18.07.90-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update KSMTP dependency to 18.07.90.

 -- Sandro Knauß <hefee@debian.org>  Mon, 27 Aug 2018 16:56:52 +0200

kmailtransport (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update symbols from build for 18.07.90.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 11:19:16 +0200

kmailtransport (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 17.12.2
  * Update build-deps and deps with the info from cmake.
  * delete upstream applied patches.
  * use secure copyright format uri.
  * Update descriptions.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:25:57 +0200

kmailtransport (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update build-deps and deps with the info from cmake
  * Update Vcs links to salsa.
  * Update copyright file.
  * kio-smtp was replaced with ksmtp
  * move files from kio-smtp to libkf5mailtransport-data
  * Enable build tests ( make them nonfailing)
  * Include upstream patch to make one test passing.
  * Add symbols files.
  * Bump debhelper build-dep and compat to 11.
  * Mark kmailtransport-akonadi as Multi-Arch: same.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:14:36 +0100

kmailtransport (17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Remove the kdepimlibs-kio-plugins breaks/replaces, since that package is
    for kdepimlibs 4.x.
  * Simplify watch file, and switch it to https.
  * Properly mark libkf5mailtransport-dev as Multi-Arch: same.
  * Bump Standards-Version to 4.1.3, no changes required.

  [ Sandro Knauß ]
  * mark kio-smtp as Multi-Arch: same instead of no

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 13:00:28 +0100

kmailtransport (17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:56:21 +0100

kmailtransport (17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:18:50 +0200

kmailtransport (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:36:34 +0000

kmailtransport (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:22:21 +0000

kmailtransport (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:33 +0000

kmailtransport (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:20:42 +0000

kmailtransport (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:00 +0000

kmailtransport (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:06 +0000

kmailtransport (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:00:30 +0000

kmailtransport (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:20:20 +0000

kmailtransport (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:28:51 +0000

kmailtransport (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:56 +0000

kmailtransport (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:25 +0000

kmailtransport (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:07:26 +0000

kmailtransport (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:00 +0000



=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5mailtransport-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

## kmailtransport 18.08.3.1

=== debian/changelog ===
kmailtransport (18.08.3.1-2) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 15:25:38 +0800

## kmailtransport 18.12.3

=== debian/changelog ===
kmailtransport (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:46:13 +0100

kmailtransport (18.12.3-0ubuntu1) disco; urgency=medium

  * Update symbols
  * New upstream release (18.12.3)
  * Refresh patch enable_debian_abi_manager.diff
  * Add make_libgapi_optional.patch
  * Build depend on libkgapi only on [amd64 arm64 armhf i386].

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:05:50 +0000

kmailtransport (18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 20:41:50 +0000

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadimime-dev (>= 4:18.12.3~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5mime-dev (>= 18.12.3~),
               libkf5wallet-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 18.12.3~) [amd64 arm64 armhf i386],
               libkpimsmtp-dev (>= 18.12.3~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.0.1
Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport

Package: kde-config-mailtransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Description: mail transport service KCM
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: kmailtransport-akonadi
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport5abi2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: ${kde-l10n:all}
Breaks: ${kde-l10n:all}
Description: mail transport akonadi library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the akonadi plugin.

Package: libkf5mailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000), ${kde-l10n:all},
 libkf5mailtransport5abi2 (<< 17.12.3-0ubuntu4~)
Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000), ${kde-l10n:all},
 libkf5mailtransport5abi2 (<< 17.12.3-0ubuntu4~)
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkf5mailtransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: kmailtransport-akonadi (= ${binary:Version}),
         libkf5akonadimime-dev (>= 4:18.12.3~),
         libkf5mailtransport5abi2 (= ${binary:Version}),
         libkf5mailtransportakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 18.12.3~),
         libkf5wallet-dev (>= 5.31.0~),
         libsasl2-dev,
         ${misc:Depends},
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkf5mailtransport5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MailTransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport
Breaks: kio-smtp (<< 17.11.90~),
        libkf5mailtransport-data (<< 17.08.3~),
        ${kde-l10n:all},
Replaces: kio-smtp (<< 17.11.90~),
          libkf5mailtransport-data (<< 17.08.3~),
          ${kde-l10n:all},
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: libkf5mailtransportakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport
Description: mail transport service library for akonadi
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This library integrates with Akonadi.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

## kmailtransport 19.04.3

=== debian/changelog ===
kmailtransport (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Refresh patches.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:55:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadimime-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadimime-dev (>= 4:19.04.3~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5mime-dev (>= 19.04.3~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 18.12.3~) [amd64 arm64 armhf i386],
-               libkpimsmtp-dev (>= 18.12.3~),
+               libkpimgapi-dev (>= 19.04.3~) [amd64 arm64 armhf i386],
+               libkpimsmtp-dev (>= 19.04.3~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
@@ -84,10 +84,10 @@
 Multi-Arch: same
 Section: libdevel
 Depends: kmailtransport-akonadi (= ${binary:Version}),
-         libkf5akonadimime-dev (>= 4:18.12.3~),
+         libkf5akonadimime-dev (>= 4:19.04.3~),
          libkf5mailtransport5abi2 (= ${binary:Version}),
          libkf5mailtransportakonadi5 (= ${binary:Version}),
-         libkf5mime-dev (>= 18.12.3~),
+         libkf5mime-dev (>= 19.04.3~),
          libkf5wallet-dev (>= 5.31.0~),
          libsasl2-dev,
          ${misc:Depends},

## kmailtransport 19.08.3

=== debian/changelog ===
kmailtransport (19.08.3-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 18.08.1-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 16 Oct 2018 14:10:00 +0000]
  * Remove armhf from architecture list for libkpimgapi-dev dependency.

 -- Raspbian forward porter <root@raspbian.org>  Mon, 09 Dec 2019 08:40:53 +0000

kmailtransport (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:05 +0100

kmailtransport (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update patch hunks.
  * Update install files for new upstream release.
  * Update libkf5mailtransport-dev dependencies.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:45:08 +0100

kmailtransport (18.08.3-4) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:50:15 +0100

kmailtransport (18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Oct 2019 00:56:52 +0200

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadimime-dev (>= 4:19.08.3~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5dbusaddons-dev,
               libkf5doctools-dev (>= 5.39.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5kcmutils-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5mime-dev (>= 19.08.3~),
               libkf5textwidgets-dev (>= 5.60.0~),
               libkf5wallet-dev (>= 5.60.0~),
               libkpimgapi-dev (>= 19.08.3~) [amd64 arm64 i386 mipsel],
               libkpimsmtp-dev (>= 19.08.3~),
               libsasl2-dev,
               libsasl2-modules,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git

Package: kde-config-mailtransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: mail transport service KCM
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: kmailtransport-akonadi
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: mail transport akonadi library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the akonadi plugin.

Package: libkf5mailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkf5mailtransport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadimime-dev (>= 4:19.08.3~),
         libkf5completion-dev,
         libkf5configwidgets-dev (>= 5.60.0~),
         libkf5coreaddons-dev,
         libkf5i18n-dev (>= 5.60.0~),
         libkf5mailtransport5 (= ${binary:Version}),
         libkf5mailtransportakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 19.08.3~),
         libkf5wallet-dev (>= 5.60.0~),
         libkf5widgetsaddons-dev,
         libsasl2-dev,
         qtbase5-dev (>= 5.7.0~),
         ${misc:Depends}
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkf5mailtransport5
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-config-mailtransport
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
Provides: ${ABI:VirtualPackage}

Package: libkf5mailtransportakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-config-mailtransport
Description: mail transport service library for akonadi
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This library integrates with Akonadi.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5mailtransport-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel

## kmailtransport 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")
project(MailTransport VERSION ${PIM_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)


add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport5\")

set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})

set(KMIME_LIB_VERSION "5.13.3")
set(AKONADI_LIB_VERSION "5.13.3")
set(AKONADIMIME_LIB_VERSION "5.13.3")
set(KSMTP_LIB_VERSION "5.13.3")
set(KGAPI_LIB_VERSION "5.13.3")

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransport")

########### Find packages ###########
find_package(KF5KCMUtils ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimSMTP ${KSMTP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimGAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)

option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

add_definitions(-DQT_NO_FOREACH)
set(CMAKE_CXX_STANDARD 14)
if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

########### Targets ###########
add_subdirectory(src)

install(FILES kmailtransport.renamecategories kmailtransport.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== src/kmailtransportakonadi/CMakeLists.txt ===
ecm_setup_version(PROJECT VARIABLE_PREFIX MAILTRANSPORT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailtransportakonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportAkonadiConfigVersion.cmake"
    SOVERSION 5
    )




set(mailtransportakonadi_lib_srcs
    dispatcherinterface.cpp
    attributeregistrar.cpp
    dispatchmodeattribute.cpp
    errorattribute.cpp
    transportattribute.cpp
    sentactionattribute.cpp
    sentbehaviourattribute.cpp
    messagequeuejob.cpp
    outboxactions.cpp
    filteractionjob.cpp
    )

ecm_qt_declare_logging_category(mailtransportakonadi_lib_srcs HEADER mailtransportakonadi_debug.h IDENTIFIER MAILTRANSPORTAKONADI_LOG CATEGORY_NAME org.kde.pim.mailtransportakonadi)

add_library(KF5MailTransportAkonadi ${mailtransportakonadi_lib_srcs}
    )

generate_export_header(KF5MailTransportAkonadi BASE_NAME mailtransportakonadi)

add_library(KF5::MailTransportAkonadi ALIAS KF5MailTransportAkonadi)


target_include_directories(KF5MailTransportAkonadi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi;${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransportakonadi>")
target_include_directories(KF5MailTransportAkonadi PUBLIC "$<BUILD_INTERFACE:${MailTransport_SOURCE_DIR}/src;${MailTransport_BINARY_DIR}/src>")


target_link_libraries(KF5MailTransportAkonadi
    PUBLIC
    KF5::AkonadiCore
    KF5::Mime
    KF5::AkonadiMime
    KF5::MailTransport
    PRIVATE
    KF5::I18n
    KF5::CoreAddons
    KF5::ConfigGui
    )

set_target_properties(KF5MailTransportAkonadi PROPERTIES
    VERSION ${MAILTRANSPORT_VERSION_STRING}
    SOVERSION ${MAILTRANSPORT_SOVERSION}
    EXPORT_NAME MailTransportAkonadi
    )


install(TARGETS KF5MailTransportAkonadi EXPORT KF5MailTransportAkonadiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(MailTransport_kmailtransportakonadi_CamelCase_HEADERS
    HEADER_NAMES
    DispatcherInterface
    MessageQueueJob
    TransportAttribute
    SentBehaviourAttribute
    DispatchModeAttribute
    ErrorAttribute
    SentActionAttribute
    PREFIX MailTransportAkonadi
    REQUIRED_HEADERS MailTransport_kmailtransportakonadi_HEADERS
    )

install(FILES
    ${MailTransport_kmailtransportakonadi_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi COMPONENT Devel )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailtransportakonadi_export.h
    ${MailTransport_kmailtransportakonadi_HEADERS}

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransportakonadi COMPONENT Devel
    )

ecm_generate_pri_file(BASE_NAME KMailTransportAkonadi LIB_NAME KF5MailTransportAkonadi DEPS "MailTransport AkonadiCore Mime AkonadiMime" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi/)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransportAkonadi")

install(EXPORT KF5MailTransportAkonadiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailTransportAkonadiTargets.cmake NAMESPACE KF5::)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailTransportAkonadiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportAkonadiConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportAkonadiConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportAkonadiConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )


install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailtransportakonadi_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )

if(BUILD_TESTING)
    add_subdirectory(tests)
    if (KDEPIM_RUN_AKONADI_TEST)
	    add_subdirectory(autotests)
    endif()
endif()

add_subdirectory(plugins)

=== debian/changelog ===
kmailtransport (19.12.3-0ubuntu1) focal; urgency=medium

  * Update patches.
  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:58:35 +0100

kmailtransport (19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:09 +0100

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadimime-dev (>= 4:19.12.3~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5mime-dev (>= 19.12.3~),
               libkf5wallet-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 19.12.3~) [amd64 arm64 armhf i386],
               libkpimsmtp-dev (>= 19.12.3~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.0.1
Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport

Package: kde-config-mailtransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Description: mail transport service KCM
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: kmailtransport-akonadi
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport5abi2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: ${kde-l10n:all}
Breaks: ${kde-l10n:all}
Description: mail transport akonadi library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the akonadi plugin.

Package: libkf5mailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000),
        libkf5mailtransport5abi2 (<< 17.12.3-0ubuntu4~),
        ${kde-l10n:all},
Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000),
          libkf5mailtransport5abi2 (<< 17.12.3-0ubuntu4~),
          ${kde-l10n:all},
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkf5mailtransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: kmailtransport-akonadi (= ${binary:Version}),
         libkf5akonadimime-dev (>= 4:19.12.3~),
         libkf5mailtransport5abi2 (= ${binary:Version}),
         libkf5mailtransportakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 19.12.3~),
         libkf5wallet-dev (>= 5.31.0~),
         libsasl2-dev,
         ${misc:Depends},
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkf5mailtransport5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MailTransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport
Breaks: kio-smtp (<< 17.11.90~),
        libkf5mailtransport-data (<< 17.08.3~),
        ${kde-l10n:all},
Replaces: kio-smtp (<< 17.11.90~),
          libkf5mailtransport-data (<< 17.08.3~),
          ${kde-l10n:all},
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: libkf5mailtransportakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport
Description: mail transport service library for akonadi
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This library integrates with Akonadi.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5mailtransport-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kmailtransport 20.08.1

=== debian/changelog ===
kmailtransport (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:55:43 +0100

kmailtransport (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Refresh patches.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:20:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadimime-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadimime-dev (>= 4:20.08.1~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5mime-dev (>= 20.08.1~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 19.12.3~) [amd64 arm64 armhf i386],
-               libkpimsmtp-dev (>= 19.12.3~),
+               libkpimgapi-dev (>= 20.08.1~) [amd64 arm64 armhf i386],
+               libkpimsmtp-dev (>= 20.08.1~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
@@ -86,10 +86,10 @@
 Multi-Arch: same
 Section: libdevel
 Depends: kmailtransport-akonadi (= ${binary:Version}),
-         libkf5akonadimime-dev (>= 4:19.12.3~),
+         libkf5akonadimime-dev (>= 4:20.08.1~),
          libkf5mailtransport5abi2 (= ${binary:Version}),
          libkf5mailtransportakonadi5 (= ${binary:Version}),
-         libkf5mime-dev (>= 19.12.3~),
+         libkf5mime-dev (>= 20.08.1~),
          libkf5wallet-dev (>= 5.31.0~),
          libsasl2-dev,
          ${misc:Depends},
